Introduction
Top Next
Quick Zip

QuickZip is a powerful and fast compress utility.

QuickZip features no ads, no spyware and has been a completely free archiver since 1999. It is not intended to act as a clone of another archiver. Instead, we aim to provide a cleaner and more powerful interface.

Quick Zip can create 10 different formats (zip, cab, lha, tar, tgz, bz2,bza, 7z, sqx, rs) and read 28 different formats (zip, cab, lha, tar, tgz, bz2, bza, 7z, sqx, rs, rar, ace, arj, gca, bel, zoo, pak, cpt, arg, asd, dzip, shar, zac, MacBin, Compress, Freeze, Splint, Jam) as well as various kinds of encoding formats without using any external programs.

Additional features include creating SFX (aelf-extracting module), integrated multimedia viewer, enhanced file list generation with grouping support. A backup script generator Is included to provide one step backup
support for your files.

QuickZip provides easy to use filtering techniques (e.g. filename wildcards, size) to search for files inside of an archive. You can also use archive finder to search for matching archives on your hard drive.


Freeware
Previous Top Next
Quick Zip is distributed as Freeware. You can use it in commercial or non-commercial environment.
Redistribution is allowed, as long as the package remain unchanged.
Without permission, you are not allowed to make profit by redistributing Quick Zip.
Press are allowed to include Quick Zip Package on CD. If possible, please send a e-mail to the author (author2004 at quickzip dot org), Thank you!
Read License


Whats New?
For latest update please check changelog.

Quick Zip 4.50
  • Support Zoo, Cpt, Pit, Arg, Asd, Dzip, Shar, Zac, MacBin, Compress, Freeze, Splint, Jam archives, Iso, Img (32 types, 52 extensions supported currently)
  • Virus Scan support
  • Redesign Interface again
  • Schedule script
  • Rewrited Thumbnail code
  • Rewrited Filelist, Filelist support Directory, Ftp and PPC as well.
  • Default settings for context menu operation.
  • Drag and Drop for Directory

Quick Zip 4.00 (Not released)
  • New Help file (As you see...)
  • Mask File Renamer
  • XP Theme support.
  • Rewrite Filelist generation.
  • Checkout finish dialog.
  • Improved interface for scripting.

Redesigned Interface
- Clone/Classic mode gone. Replaced by Configurable Toolbar.
- Some function is integrated into main screen.
- Fully configurable Toolbar button and File List column.
- Bookmarks now access from main menu (like IE ones)
- File list when no archive opened.
Better MMViewer
- Full screen for picture / text.
- Picture viewer now support Zoom and Drag.
- Volume now save after exit.
- Play in sequence and Random mode (finally..)
- Text editor.
- Real Media support
Archive / Encoding Support
- New 7zip Dll (3.11.x.x) support
- CryptoZip2 support
- Large Zip support (Zip64)
Quick Zip 3.00
  • Support 7z, Sqx, Hog archives (22 types, 40 extensions supported currently)
  • Skinnable toolbar, menubar
  • First start dialog
  • Search in Archive
  • Clone (WZip like) / Classic (Origional) mode
  • Akp script (Pascal like script for archive operation)
  • New tip of the day.
  • Bookmarks support folder
  • Thumbnail view

Quick Zip 2.00
  • Support Czip, Rs, Uue, Uu, Xxe, Xx, Wad, Pak, Gca, Bel archives (19 types, 33 extensions supported currently)
  • Lower memory usuage
  • Faster startup and directory loading.
  • Archive Converter
  • Archive Finder
  • Pdf file list
  • New script(.aks), editor
  • File and registry monitoring.
  • Copy and Paste for file
  • Folder selection panel
  • new menu style, new popup menu.
  • new archive icons
  • virus scanning support
  • select all, invert select, select none, search in archive
  • archive selection screen
  • directory bookmark
  • password dialog
  • version control

Quick Zip 1.80
  • Support Bz2, Gza, Bza (14 totally)
  • Quick Directory Combo in extract menu
  • Context menu now show as sub-menu.
  • Context menu showing zips contents, which allow opening a file(e.g. readme.txt) without opening quickzip
  • New Main Popupmenu with Vertical bar and new icons
  • Enhanced INST builder, which created smaller setup(23k) with more functions(e.g. uninstall)
  • Progress bar for all sfx stub, new INST stub
  • Show total used time, and time remaining for operations.
  • MMViewer which support 24 formats, able to set volume correctly


Main Screen
Main Screen shows up when you start Quick Zip.

Components of Main screen :

Main Menu - (Top of Screen)
All functions are included in Main Menu. ( Menu opetations )
Tool Bar - (Below Main Menu)
Include shortcut for the most important functions.
You can configure which icon to show in Settings.

Archive / Directory Panel - (Below Toolbar)
Show current opened Archive (or Dir/Ftp/Ppc) and current Directory.

Directory List / Tree - (Below Archive/Directory Panel)
A List of directories in current (directory / archive).

File List - (Below Archive/Directory Panel)
It shows the contents of an archive, (or file in current directory if no archive opened) it shows their filename, type, date, size, ratio. To select a file, simply click on it, to select more than one file, hold Shift then drag on it.


Add Screen
Add screen shows up when you wish to Add files to an archive.

Components of Add screen :

[ File Selection tab ]

Directory Shortcut Button - (Left side)
Change current directory to specified directory.

Current Directory combobox - (Middle top)
Show current directory, you can use it to specify current directory as well.

File / Directory List - (Right side)
You can select file you wish to include in archive.

"Mask selected file(s) to Added list" Button - (Middle bottom)
If you wish to add files in different directories, you can select some files, click this button, then go another directory, select the files and click this button again to add.

[ Add Options tab ]

Save Folder info - Include folder structure in archive
Add Sub-directory - Add subdirectory if you select directory to add.
Relative Path - Toggle use relative path based on archive directory or base dir.
Disk Span after Add - Span archive after Add
Use 8.3 Format - Use 8.3 dos format to add files (zip only)
Enable Large Zip support - Enable Zip64 support (zip only)
Override BaseDir - Specifie Base directory if add relative path.

[ Added List tab ]

Files Added List -
Allow you to modify the added list. You can drag n drop files to here from explorer if you wish to add files.

[ Comments tab ]

Archive Comments -
Allow you to specify comment (Zip files only)


Extract Screen
Extract screen is for carrying out Extract action.

Components of Extract screen :

Directory Shortcut Button - (Left side)
Change current directory to specified directory.

Folder Selection combo - (Middle Top)
Type the destination here or select one from directory tree.

Folder Tree - (Middle Centre)
Clicking a directory here will update the folder selection combo.

Open Folder Button - Next to Folder Selection Combo)
Update the folder tree with the path on folder selection combo.

Password selection - (Middle Bottom)
Allow you to choose password to encrypt archive. Not all archive type support encryption.


Checkout Screen
Checkout screen is for carrying out Checkout action.

Components of Checkout screen :

Mini Directory Shortcut Button - (4 Icons in middle)
When you click on it the "extract to" will be updated.
Files to Extract - You can specify files to be extracted.
Extract to - Specify where to extract or leave it black for automatic directory selection.
Create program group - Choose this if you want to create start menu program group for your checkout.


Sfx Screen
Sfx Dialog is for creating Self Extracting Executables.


Setting Screen
Configure Quick Zip via Setting Screen

Page List :
General Tab :
  • Miscellaneous
  • Translations

Interface Tab :
  • Skins and Fonts
  • Toolbar and Filelist
  • Viewer

Shell Tab :
  • Associate
  • Shell Extension
  • Script

Preference Tab :
  • MRU
  • Password
  • Directory


Filelist Screen

FileList_sc
Quick Zip include a file list generator for exporting file list in archive.
Export format included : Formatted Text, CSV (Comma Separated), HTML, PDF and Printer.

Template - Quick Zip Defined a couple template for html generation.

[File list printer tab]

Print T ype - Select convert to which type

Place Filelist in - Select the directory to place filelist in.

Sort F ile list - Select how the filelist sorted before printing.

Group B y - Group files with same attribute when printing.

C ode page - Specify code page in html.

[Configure Template]

You can modify / generating new template here.


Finder Screen
You can use Finder to search archive in your Hard drive or other media.

Components of Finder screen :
[Name and Location Tab]

Name -Specify which files is included in archive, use comma if multiple files.

Search In - Specify where to start searching.
Contain Text - Check if the files in archive include text specified. Only file(s) that match the "Include file(s)" field will be checked.
Search Subdirectory - Specify search sub-directory or not.

[Size and Date Tab]

Size Larger than / Size Smaller than - Specify file size in archive to search.

Date Start / Date End - Specify file date in archive to search.

[Options]

[ Database related functions: ]
Rebuild database (Database will be completely overwritten) | Press F ile \ D atabase \ R ebuild Database
Update a folder (Update archive in a folder and it's subfolder) | Press F ile \ D atabase \ Update a F older , then select a directory.
Update Databse from a list (This function is not useable now) | Press F ile \ D atabase \ U pdate Database
Use database to search | Tick the checkbox in Finder dialoge.


Converter Screen

Convert_sc
Converter can convert archive of one type to another.

Components of Converter screen :
Archive with path is not supported at this time.

+ Button - Add an archive to the list for convertion

- Button - Remove an archive from the list

X Button - Clear the list

Convert to - Specify the type archive convert to


Renamer Screen

Mass Renamer
Simple renamer allow you to rename files with a pattern in a folder.

Components of Renamer screen :

Select an Action - Rename / Copy / Batch Zip

Source Path - Directory to look for file.

Target Path - Directory to save the file.

Wildcards for Source filename - Wildcard for looking up files (More information here )

Wildcards for Target filename - Wild c ard for how to save files (More information here )


Encrypter Screen

Encrypter

Encrypt files or zip files to Quick Zip Encode (qze) or Crypto Zip Files 2 (czip).
Provide more security to unauthorize access.

Components of Encrypter screen :
+ Button - Add an archive to the list for encryption.

- Button - Remove an archive from the list.

X Button - Clear the list.

Encrypt mode - Specify to use which encode methods.

Self Decrypt Executables - Produce executables (.exe) that works on PC without Quick Zip.
(Support Quick Zip Encode mode only,)

Password / Key - Specify decrypt password.


Scheduler Screen
You can schedule when to run a script in editors dialoge.


Open an archive

OpenArchive
The first step of Extracting a file is to Open a file, the first step of Adding a file is to Open a file.
You must learn how to open a new file before you proceed.
To open an archive: <Movie>
See Interface if you cannot find any item.
  1. Press Open.
  2. An Opening dialog opens, select the archive you want to open, and press O pen.
  3. Once opened , the archive shows the contents of the file . (Another way is to drag an archive from explorer to Archive / Directory Panel .)


Create an Archive
You can compress multiple files into an archive.

To create a new archive : <Movie>
See Interface if you cannot find any item.
  1. Press New.
  2. New... dialog opens, type a name for your archive, and press O key.
Add menu popup, select file you want to add, and press Add.


Extract files from archive

ExtractFile
Extract file is the most important function of QuickZip, let me show you how easy it is to extract a file in QuickZip.
To Extract files:
See Interface if you cannot find any item.
  1. Open an existing archive (See: Open an archive .)
  2. Press Extract button
  3. Another dialog pops up, fill in (or select) where you want to extract, then press Extract.


Deleting files from an archive

DeleteFile
So you added a wrong file?
Quickzip provides a delete option to remove it, just remember there's no undo function for delete, once gone, it will be gone forever!
To Delete files:
See Interface if you cannot find any item.
  1. Select the file you want to delete in the file list.
  2. Press Del button.
  3. Answer Yes to confirmation dialog. That's it!


Testing an archive

TestArchive
To Test an archive :
See Interface if you cannot find any item.
  1. Open an existing archive.
  2. Press Test button on Tool bar.


Checkout
If you want to extract all files in a temp folder, checkout is the function you want.
To check out :
See Interface if you cannot find any item.
  1. Open an existing archive.
  2. Press Checkout, then press Checkout button again.
  3. QuickZip will generate files and open the temp folder.


Create Self Extracting Module

CreateSFX
If your friend does not have zipware (or you are not sure he has), you can convert any zip to a SFX ( Self extracting module ), which can extract itself.
Quick Zip provide a INST builder for creating INST package too.
Create SFX:(using one step sfx)
See Interface if you cannot find any item
  1. Open an Archive
  2. Press Actions \ Convert to SFX , then the SFX dialog pops up,
  3. fill in the ZIP/SFX , Extract to, Welcome Message and SFX Caption
  4. Press Create and an SFX will be created

Create INST package:
  1. Press Tools \ Backup \ Editor
  2. Press New \ Iss
  3. Edit the script file, then save it.
  4. Press F9, Compile and test.


Reopen list and Bookmarks

ReopenList
Quick Zip remember the archives you opened. You can also add an archive to bookmarks.
To Open archive via Re-open list :
See Interface if you cannot find any item.
  1. Click on the Down arrow next to Open button.
  2. Select the archive you want to open.

To Add an archive to Bookmarks :
See Interface if you cannot find any item.
  1. Open an existing archive (See: Open an archive. )
  2. Press Bookmarks \ Add

To Modify Bookmarks :
See Interface if you cannot find any item.
  1. Press Bookmarks \ Modify Bookmarks
To Delete a bookmark:
  1. Select the bookmark.
  2. Right click \ Remove.
  3. Confirm delete.

To Create a new folder:
  1. Right click \ Add folder.
  2. Input new folder name.

To Move a bookmark to a new folder:
  1. Select the bookmark.
  2. Drag and drop the bookmark to new folder.


Repair archives

RepairArchive
To Repair Archives :
See Interface if you cannot find any item
  1. Open an existing archive . (Only Zip supported at this time)
  2. Press Tools \ Repair Zip .
  3. Select where you want to place the repaired archive files, then press Repair.
  4. QuickZip will attempt to repair it.


E-mail archives

EmailArchive
To E-mail archives:
See Interface if you cannot find any item
  1. Open an archive
  2. Press File \ Other Operations \ Email Archive .


Archive Summary and Comment

ArchiveSummary
To view archive summary and comment:
See Interface if you cannot find any item.
  1. Open an existing archive (See: Open an archive. )
  2. Right click on file list \ Properties

To modify archive comment:
See Interface if you cannot find any item.
  1. Open an existing archive (See: Open an archive .)
  2. Press Tools \ Zip Comment


Quick Zip and Shell

Shell
Quick Zip and Shell

To associate Quick Zip as default software when open archive:
  1. Press Tools \ Setting
  2. Press Shell \ Associate
  3. Click Associate to unassociate items
To enable shell integration :
  1. Press Tools \ Setting
  2. Press Shell \ Shell Extension
  3. Click Enable Context menu
Association will make QuickZip the default program to open archives.
Shell Context handler adds the following shell commands: (not all of them completed in 4.50 beta)
Some example to shell context handler...(as for context menu item, you can enable and disable in Predefined, Add and Extract tab)

Right-click on empty space, New, QuickZip archives will create a new empty archive.
Right-click on a folder and select add to foldername.zip, QuickZip will add the folder to their folder name + .zip (e.g. C:\temp will become C:\temp.zip).
Right-click on a folder and select add to QuickZip and QuickZip will open and let you pick a zip name.
Right-click on an archive file and select extract to..., a folder select dialog will open, and you can select where to extract to.
Drop file on another archive, will add selected file to target archive.
Right-click and Drag an archive to another folder will let you extract file in that folder.
Using the script support, (detail command)
to use ityou have to click on Script
Press New
Select a script name, some script have been done, located in {QZ}\Script folder.
Enable it by ticking the box next to the name.
Select if it enable when selecting file or archive
(Note : Draging files from and to Quick zip is not count as shell context handler.)


Archive Finder
You can use Archive Finder to lookup files in most supported archive in your hard drive.

To reduce search time, you are suggested to build up a database before searching.

How to start Archive Finder:
1. Press Tools \ Finder
2. Specify the File name you wanted to search in Name: field.
3. Specify the Folder you wanted to start search in Search in: field
4. If you wish to check the text if there's matched, you can specify it in Contain Text: field, this will increase the search time.
5. You can specify Max/Min Size/Date in Size and Date tab.
6. If database avaliable you can enable Use Database to search , this will reduce search time a lot.
7. Press Search


Batch Zipper

BatchZip
If you want to zip a directory of files where each file has its own zip, it is called batch zipping . Here are the instructions:
Batch Zipping procedure:
See Interface if you cannot find any item
  1. Press Tools \ Batch Zip .
  2. Select the file you want to zip.
  3. Press OK.


Disk Spanner

DiskSpan
So your files are too big for your diskette and you want to span them? ( Spanning = spreading the contents of file(s) over 2 or more floppies .) Don't worry, QuickZip supports disk spanning .

To Span an archive:
See Interface if you cannot find any item
  1. Press Tools \ Disk Span \ Read Disk Span and a new dialog opens.
  2. Select what you want to span
  3. Select where you want to place your span and the size of each span , then click span button.
  4. Span will be created.

To Read a Span :
  1. Double click on the batch file included.


File Renamer

Renamer

How to use Mass Renamer:
1. Specify action Rename
Rename | Rename files to another name
Copy | Copy files to other name
Batch Zip | Compress files into specified archive.

2. Specify the source and target path. You may have same source and target path. No wildcards is allowed in path at this time. (perhaps in future =)
3. Specify source wildcards, using the following list:
Numbers | /d , /i , /n
String | /s , /t
Everything | /e

For examples, if your file named
01 This is a test.mp3
You may use the following as source
Macro | Describe
/e | /e = "01 This is a test.mp3"
/d /e.mp3 | /d = "01", /e = "This is a test"
/d /s.mp3 | /d = "01", /s = "This is a test"
/d /2s/t.mp3 | /d = "01", /2s = "Th", /t = "is is a test"

All of them can use to specify your file, so if your have the following file in source path, they would be included too.
01 This is a test.mp3
02 This is another test.mp3
9999 Quick Zip is Cool.mp3
4. Specify target wildcards.
You can now use the macro you specified in source wildcard.
For examples, if you use
/d /s.mp3 ==> /+s/3d.mp3
Files will be renamed to
01 This is a test.mp3 | THIS IS A TEST001.mp3
02 This is another test.mp3 | THIS IS ANOTHER TEST002.mp3
9999 Quick Zip is Cool.mp3 | QUICK ZIP IS COOL999.mp3

As you see, number(3) between "/" and macro(d) can limit the size of files, "+" sign can be use to change text stored into macro to uppercase, "-" sign can be use to change text stored into lowercase.
If you wish to have the first letter in uppercase only, you may use
/1s/t.mp3 ==> /+s/-t.mp3
5. Press Next, review the file list, and press OK to start renaming.


File List Printer

PrintFileList
To Print file list:

See Interface if you cannot find any item
  1. Open an existing archive
  2. Press Tools \ Print File List \ HTML filelist.
  3. Select filename, then press create. ready to be printed.


Scripts
What is script in Quick Zip?
Script is a pre-made file that allow you to define a number of actions, you can later execute the script to automatically run all those actions.
What's the difference of Aks and Akp Script?
Aks is a simple script format. Quick Zip executes aks script line by line, like a batch file.
Akp is a pascal like format,
Aks Script:
How to put date in archive name?
DATESTR "%MM%%DD%%YYYY%"
OPEN "c:\temp\XYZ_ %DATE% .ZIP"
ADD "c:\file1.ext"
ADD "C:\dir2\*.*"
DOADD
How to use mass rename?
RenameFileList, CopyFileList and BatchZipFileList
Akp Script:
How to convert an archive?
Convert(filelist.strings[i],'7Z');
How to get the parameter list when using script context menu?
All parameter is store in a Tstrings object called Param
e.g. Param.strings[0] <== first parameter.
How to know if the parameter is a directory or not?
function isDirectory(p : string);
begin
result := pos('*',p); //directory always include '*'
end;


FileListTemplate
Html / Pdf file list and Export file list to printer require a template, there are a few pre-made, but you can make your own.

All File List templates are placed in "\FileList" folder.

A file list template contains 3 files :
  1. a Html template , which can be edit by any html editor.
  2. a Thumbnail Picture , which contains a thumbnail of the filelist.
  3. a Data file in format , which contains information for file list generating.

Html Template :
A simple html template file :

Dynamic tag is dynamic contents that will be replaced when file list generating,

A list of dynamic variable list below :

Variable | Meaning
ArchiveDirCount | Total amount of folder(s) in archive.
ArchiveFileCount | Total amount of file(s) in archive.
ArchiveFileList | File list
ArchiveName | Archive Name with Path
ArchivePackedSize | Pack size
ArchiveSize | UnPack size
Codepage | Codepage, for non-english user.
Now | Print date and time.
ScriptConst | --
TextView | --
Today | Print date.

Thumbnail Picture :

You can use picture editor to capture a picture for your new template once your template is completed.

Data file :
Data file is in Ini Format, this file is created automatically when you click "new" button in file list dialog.


ToolbarSkin
The images on toolbar are skinable, you can create your own toolbar skin.

Toolbar skins designed for Quick Zip are placed in "\Skins\QZip" folder.
Toolbar skins designed for other archiver are placed in "\Skins\PAnUZ" folder .

Toolbars skin designed for Quick Zip are in the following sequence:
  1. New
  2. Open
  3. Extract
  4. Add
  5. Test
  6. Multi-Extract
  7. Checkout
  8. Install
  9. SFX
  10. SFX to Zip
  11. Delete Zip
  12. Delete
  13. Rename Zip
  14. Copy Zip
  15. Batch Zip
  16. Settings
  17. Disk Span
  18. File List
  19. Viewers
E-mail


Sub-Toolbar Skin
The menu / sub-toolbar images are also skinable, you can create your own sub-toolbar skin.

Menu skins designed for Quick Zip are place in "\Skins\MenuImages " folder.


Translations
Please check here


SubmitYourWork
Please send it to - (author2004 !at! quickzip !dot! org)
Remember compress it to 7z or Sqx everything before sending it to me (my host does not accept zip files).


AksScript
QuickZip Script

Quick Zip script have been updated to aks script in Qzip 4.00

Commands

Name | Sample | Explain
NEW | NEW "c:\xyz.zip" | Create new archive (it will always create new archive, with new name)
OPEN | OPEN "c:\xyz.zip" | Open exist archive (or create if not exist)
CLOSE | CLOSE | Close opened archive
EXTR | EXTR "*.*" "c:\" | Extract file in archive
EXTRACT | EXTRACT "*.*" "c:\" | Extract file in archive
 | ADD "C:\*.zip" | Add file to archive (support wildcards)
DOADD | DOADD | Start Adding files
DEL | DEL "a.file" | Delete a file in archive
DELETE | DELETE "a.file" | Delete a file in archive
REN | REN "from.ext" "too.ext" | Rename file (zip only) (#1)
RENDIR | RENDIR "FromDir" "ToDir" | Rename whole dir (zip only) (#1)
PASSWORD | PASSWORD "pass" | Change password for add and extract.
USEEXTRPATH | USEEXTRPATH "OFF" | Use path in extract
USEADDPATH | USEADDPATH "OFF" | Use path in add
USESUBDIR | USESUBDIR "OFF" | Add subdir when using wildcards
RUNFILE | RUNFILE "C:\test.exe" | Run a file (not only exe file)
MOVEFILE "c:\test.zip" "c:\temp\test.zip" - move a file
RENFILE "c:\test.zip" "c:\temp\test.zip" - rename a file
DELFILE "c:\test.zip" "c:\temp\test.zip" - delete a file
BACKUPREG "HKEY_CLASSES_ROOT" "rootpath\whatever" "keyname" "c:\backup.reg" - backup registry
TXTFLIST "c:\123.txt" - create filelist
HTMFLIST "c:\123.htm" - create filelist
PDFFLIST "c:\123.pdf" - create filelist
PDF2FLIST "c:\123.pdf" - create filelist
SPAN "c:\source.zip" "a:\target.zip" "1024000" - cut any file
MSG "Your message" - show up ur message
CLOSEARC - Close qzlite SYNC "c:\test.txt" - update if it's newer.
BATCHADD "c:\test.txt" "c:\test.zip" - Add file then close
EMAIL "alias@domain.com" - E-mail archives.
CONVERT "c:\test.zip" "CAB" // Convert archive into another type
DATESTR "y-n-d h:m:s" // Set datetime format for use with %DATE% macro

Macros
%TEMP%\ - Temp directory
%WINDOWS%\ - Windows directory
%DESKTOP%\ - Desktop directory
%ARCHIVE%\ - Archive directory (after opened)
%DATE% - Datestr
%1% - selected file if using shell context script.
% F% - %1% without extension


AkpScript
Akp script is a script based on Pascal / Delphi format.
This script support is based on Pascal Script 3.0 , it support most pascal syntax like variables, decision, looping, thus it can provide more customization if compare with aks script.
Quick Zip 4.00 allow you to use the CAKE2 component (TCakdir2), following is an example of how to use this object.

--------------------------------------------------------------------------------
program Test;
var Cakdir2 : TCakdir2;
Contents : ContentType;
i : integer;
begin
Cakdir2 := TCakdir2.Create(nil);
Cakdir2.Archivename := 'C:\4_0rev1.zip';
if Cakdir2.Total_Contents > 0 then
for i := 0 to Cakdir2.Total_Contents -1 do
begin
Contents := Cakdir2.Archive_Contents(i);
begin
Writeln(Contents._Filename);
Writeln(DateTimeToStr(Contents._FileTime));
end;
end;
if Cakdir2.Cando('xyz.zip',wtLoadContents) then
Writeln('yes');
Cakdir2.HotEdit('Image1.jpg');
Cakdir2.free;
end.
--------------------------------------------------------------------------------
TCakdir2 object can be found here , please note that due to some limitation, record type in Cakdir2 (e.g. Archive_Contents, ExtractOptions and AddOptions) must be assigned to variable when use, instead of calling directly.
Below is a list of functions that available since Quick Zip 3.00, detail list please check here

functions | Description
function sizeinK(size: integer): string; | Change numeric size into kbe.g. sizeinK(112640) will result 112.64kb
function Param : Tstrings; | File selected in shell context menuFor use with context menu script only!e.g.for i := 0 to ParamCount -1 do Writeln(param.strings[i];
procedure New(name : string); | Create new archivee.g. New('c:\new archive.zip');
procedure Open(name : string); | Open existing archivee.g. Open('c:\another archive.zip');
procedure Close; | Close archivee.g. Close;
procedure Test; | Test archive;e.g. Test;
procedure Extract(what, too : string) | Extract all or selected filese.g.Open('c:\anarchive.zip');Useextrpath(True);Useextroverwrite(True);Extract('*.jpg','c:\dir1');
procedure Add(name : string); | Add filee.g.New('c:\a new archive.zip');UseSubdir(True);Add('c:\temp\*.*');Add('c:\xyz.log');DoAdd;
procedure DoAdd; | Start add filese.g. Doadd;
procedure Del(what : string); | Delete files in an archivee.g.Open('c:\anarchive.zip');Del('xyz.txt');Close;
procedure Ren(what,too : string); | Rename file in a zip file (zip only!)e.g. Ren('a.txt','b.txt');
procedure Convert(what,totype : string); | Convert an archive to another type.Warning! Directory structure is removed when converte.g.Convert('c:\arctoconvert.zip','CAB');
procedure Password(what : string); | Specify password for extract and add.e.g. Password('your password');
procedure UseVerCtrl(toggle : boolean); |
procedure Useextrpath(toggle : boolean); |
procedure Useextroverwrite(toggle : boolean); |
procedure Useaddpath(toggle : boolean); |
procedure Userelativepath(toggle : boolean); |
procedure Usesubdir(toggle : boolean); |
procedure RunFile(what : string); |
procedure MoveFile(what, too : string); |
procedure RenFile(what, too : string); |
procedure DelFile(what : string); |
procedure CopyFile(what,too : string); |
procedure MakeDir(what : string); |
procedure DelDir(what : string); |
procedure Sort(index : integer; accending : boolean); |
procedure OpenDir(what : string); |
function Total_Contents : integer; |
function Contents_Filename(which : integer) : String; |
unction Contents_FileDefPath(which : integer) : String; |
function Contents_FileSize(which : integer) : Integer; |
function Contents_FileCompSize(which : integer) : Integer; |
function Contents_FileSelected(which : integer) : Boolean; |
function Contents_FileType(which : integer) : String; |
function Contents_FileDateTime(which : integer) : TDatetime; |
procedure Select_File(which : integer); |
procedure DeSelect_File(which : integer); |
function Mask_Select_File(mask : string) : integer |
procedure Clear_select; |
function TempPath : String; |
function MydocuPath : string; |
function DesktopPath : string; |
function SystemPath : string; |
function ProgramPath : string; |
function CurrentPath : string; |


IssScript
Iss script allow you to produce installer with small footprint.

A Sample Iss Script:

--------------------------------------------------------------------------------
[Setup]
AppName=Notepad
AppVersion=1.5
AppVerName=Notepad 1.5
DefaultDirName={pf}\Notepad

[Files]
Source: "C:\Windows\NOTEPAD.EXE"; DestDir: "{app}";

[Icons]
Name: "{group}\Notepad"; Filename: "{app}\NOTEPAD.EXE"

[Run]
Filename: "{app}\NOTEPAD.EXE";

[Registry]
Root: HKCU; Subkey: "SOFTWARE\MyProgram"; ValueType: string; ValueName: "RootDir"; ValueData: "{app}"
--------------------------------------------------------------------------------


Interface
Where is the Viewer button now?
It's gone, click on the MMPlayer tab in main screen for Multimedia viewer, Progress tab for progress viewer.

Whats "added list" in add dialoge?
You can press the "Masked selected file to added list" button to add files in different dirs,

Why cant I Drag and Drop folder?
Use right click to drag instead of left click.

Do Quick Zip support command line?
Yes, please check here.


Author
Main Author : Leung Yat Chun, Joseph ( [image] )

Created with Borland Delphi 7 Personal

Graphical Designer :


Components
Third Party Components (4.00):

Borland Delphi

ZipMaster by Chris Vleghert

Zip Forge

dAce, dRar by Rogier Timmermans

Cmarc by NORG1964

Common Archive Pack by:

Drag and Drop Component Suite

Winshoes Indy by Winshoes Working Group

PowerPDF

LsFileExplorer by Leo D. Shih

madExcept 2.6a

Innerfuse Pascal Script III

Pattern String Engine 1.3

SFXmakerUtils

Clam Av plugin


Translator


Bug reporter
Bug Reporter List (4.00)

Linseisen Herbert
Asmodeus
J Stafford
MM
ghost_zero
paulatreides
ccraven
Rui Morais

Thanks for reporting bugs~

(Please report to the Quick Zip Message board if you found a bug)


Contributer


Awards
Quick Zip 4.50

19-10-04 NoNags rated us 6/6, Tucows 4/5
08-12-04 Softpedia 5/5 pick
22-12-04 Freewarefiles pick


Publish
Quick Zip was included in the following magazines.

Date | Publish
Jul 2000 | CHIP-India CHIP Multimedia
Jul 2001 | PC Office
Mar 2002 | PC World - Spanish edition IDG Communications
Feb 2002 | Pc Weekly
Mar 2002 | Total Sulutions for Download Problems PCuSER PRESS Co, Ltd
Apr 2002 | Computer Vignanam Crescent Publications
Jun 2002 | ComputerBild online
Aug 2002 | QuincyNet
Dec 2002 | Future France Future Publishing Ltd.
Feb 2003 | PC World - Spanish edition IDG Communications
Jan 2003 | dmrg Mediengesellschaft mbH
Apr 2003 | PC World Peru IDG Communications
Jun 2003 | Future France Future Publishing Ltd.
Jul 2003 | ComputerBild
Dec 2003 | PC Games Computec Media
Jan 2004 | Komputer SWIAT Magazine (Polish)
Feb 2004 | PC Magazine (Italy).
Feb 2004 | Future France Future Publishing Ltd.
Feb 2004 | PC World - Spanish edition IDG Communications
March 2004 | CHIP Poland
Apr 2004 | ComputerBild
July 2004 | Computer Vignanam (India)
Dec 2004 | Future Media (Italy)
Feb 2005 | Malsoft
Feb 2005 | CHIP (German)
Mar 2005 | Future France Future Publishing Ltd.


License
Copyright (C) 1999-2004 Joseph Leung. All rights reserved.

Quick Zip 4.0 / 4.5 / 4.6
END USER LICENSE AGREEMENT

This product is released as FREEWARE.

##### DISCLAIMER OF WARRANTY #####

THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW,

IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESSINTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

#### DISTRIBUTION ####

The Software may be freely distributed provided that it is not modified and the original archive remains intact with all accompanying files, and provided that no fee is charged (except for any reasonable fees necessary to cover costs of distribution media).

You may not reverse engineer, decompile or disassemble QuickZip.


What is CAKE?
There is a lot of free Delphi component for archive support, because they are free they are less likely to support full range of archives types.

CAKE ( C ommon A rchiver K it E xperiment) is a component to developed to provide a common interface for more than half dozen of archive components, each with different interface.


Installing CAKE
1. Download -
Common Archiver Kit Experinment 2 (CAKE2) -
Common Archiver Kit Install Pack (CAKEINST) -
ActiveAce -
SqxArchiver -
TDFUnRar -

Not all component listed here, if you miss one please ask in our message board.
If you do not need support for an archive type, you can follow instruction in this web site, you don't have to install related component -

2. Extract files to appropriate paths (c:\Cakdir2\ ; C:\D7\Cmarc139 etc)
Do not install everything into same path.

3. Add path of the component source to Library path (Tools \ Environment Options \ Library)
Examples of paths:
C:\Cakdir2\;C:\D7\cmarc139;C:\D7\Rtdunace;C:\D7\Rtdunrar;C:\D7\SqxSdk;C:\D7\DelphiZip;C:\D7\INDY

4. Add Cakdir2 into a new package (e.g. CAKE2INST), Compile, Install

5. Add CakTreeView2 and CakListView2 to CAKE2INST, Compile

6. Completed!


TCakdir2
Core component, can access all kind of archives.


AddOptions
Options used for when adding files to archive.

property AddOptions :


ArchiveName
Full path for an archive, you can set this property to open archive.

property ArchiveName : string ;


ExtractOptions
Options used for when extracting files to archive.

property ExtractOptions :


Archive_Contents
Contents of archive
property Archive_Contents : ContentArray


Total_Contents
Total files in archive.
property Total_Contents : integer;


Add
syntax:
procedure Add;

Description:
Add files to archive. (See )


Cando
syntax:
function cando(fn : string; aWork : ) : boolean;

Description:
Return if the specified file can do an action.


CanAdd
syntax:
function CanAdd : boolean;

Description:
Return if files can be (added to / delete from) the opened archive.


CanExtract
syntax:
function CanExtract : boolean;

Description:
Return if files in opened archive can be extracted.


Close
syntax:
procedure Close;

Description:
Close opened archive.


Delete
syntax:
procedure Delete;

Description:
Delete selected file.


Extract
syntax:
procedure Extract;

Description:
Extract selected files from archive. (See )


Get_Selected_Count
syntax:
function Get_Selected_Count : integer;

Description:
Return total selected file.


Get_Selected_Size
syntax:
function Get_Selected_Size : Longint;

Description:
Return total size of selected file(s).


Get_Selected_CompSize
syntax:
function Get_Selected_CompSize : Longint;

Description:
Return total compressed size of selected file(s).


Get_Top_Selected
syntax:
function Get_Top_Selected : string;

Description:
Return filename of first selected file.


Get_Top_Index
syntax:
function Get_Top_index : integer;

Description:
Return ID of first selected file.


Get_Total_Packed_Size
syntax:
function Get_Total_Packed_Size : Longint;

Description:
Return Total Compressed size of all files.


Get_Total_Size
syntax:
function Get_Total_Size : Longint;

Description:
Return Total Size of all files.


GrabArchivePath
syntax:
function GrabArchivePath : string;

Description:
Return path of the opened archive.


HotEdit
syntax:
procedure HotEdit(FileName: string);

Description:
Hotedit is Extract, Wait for user edit, Update function.


List
syntax:
procedure List;overload;
procedure List(Mask : string; Subdir : boolean);overload;
procedure List(SearchRec : ); overload;

Description:
List file(s) in archive to Archive_Contents.


Load
syntax:
procedure Load(filename : string);

Description:
Load an existing archive.


Locate
syntax:
function Locate(filename : string) : integer; overload;
function Locate(filename : string; checkdir : boolean) : integer; overload;

Description:
Return ID of a filename in an archive.


New
syntax:
procedure New(filename : string);

Description:
Creating a new archive.


Select
syntax:
procedure Select(FileMasks, Filearchive: string); overload;
procedure Select(filename : tstrings; archivename : string); overload;
procedure Select(Index : integer); overload;

Description:
Select file(s) in archive to extract / delete


SelectAll
syntax:
procedure SelectALL;

Description:
Select all files in archive.


Sort
syntax:
procedure Sort(accending : boolean; atype: );

Description:
Manual Sort the archive list.


SFX
syntax:
procedure SFX;

Description:
Create S el F E X tract Module. (Currently only Delphi Zip support this)
(See )


Test
syntax:
procedure Test;

Description:
Test the opened archive.


UnSelectAll
syntax:
procedure UnSelectALL;

Description:
De-Select all files in archive.


Add_Archiver


Enable_Archiver


Prepare_Archiver


OnCMessage
Occurs when there is a message.
property OnCMessage : TCMsgEvent;


Quick Zip

Archive
Files compressed into a single file named Archive.
The Advantages of using archive to transfer files or store are :
  • Smaller result file - Because file are compressed.
  • Easier to Manage - Because all files are compressed into a single file.
  • More Secure - Some archive type support encryption to protect your data.

So most file over the internet are compressed into archive.
The most common archive type on the internet is Zip, even although the compression rate is sometimes lower than other format.


Quick Zip

ContentArray = array of Contenttype
type ContentType = packed record
_FileRatio: Word;
_FileIcon: Word;
_Tag:Word;
_FileSize : LongWord;
_FilePackedSize: LongWord;
_FileTime: TDatetime;
_FileCRC: string;
_FileName:string;
_FileFullPath:string;
_FileDefPath:string;
_FileArchive: String;
_Filetype: string;
_Encrypted:Boolean;
_Selected: Boolean;
end;


.topic 0
ContentArray = array of Contenttype

type ContentType = packed record
        _FileRatio: Word;
        _FileIcon: Word;
        _Tag:Word;
        _FileSize : LongWord;
        _FilePackedSize: LongWord;
        _FileTime: TDatetime;
        _FileCRC: string;
        _FileName:string;
        _FileFullPath:string;
        _FileDefPath:string;
        _FileArchive: String;
        _Filetype: string;
        _Encrypted:Boolean;
        _Selected: Boolean;
    end;

.topic 0
type TCMsgEvent = procedure(Sender: TObject; CErrCode, ErrCode: Integer; Msgtype: MessageType; Message: string) of object;

Description
CErrCode
Errcode from the archive component (or DLL)

ErrCode
Standardized Errcode.

Msgtype
Different types of message.(Msg_OK, Msg_Error, Msg_Warning, Msg_Unknown)

Message
Error Message

.topic 0
Setting : General : Miscellaneous page.

Option
Meaning

Reuse Windows
Use same window when open archive (by d-click an archive on Explorer).

Startup Page
Page to show when Quick Zip Start up.

Default Page after archiveopened
Page to show after opened an archive.

.topic 0
Setting : General : Translation page.

A list of translation is available on this page.

Option
Meaning

Import Translation
Use same window when open archive (by d-click an archive on Explorer).

.topic 0
Setting : Interface : Skins and Fonts page.

Option
Meaning

Main font
Quick Zip will use this font as the default font.

Toolbar Bitmap
You can specify the main toolbar skin here.

Menu Toolbar Bitmap
You can specify the menu toolbar skin here.

.topic 0
Setting : Interface : Toolbar and File List page.

You can configure to show which Tool button on the main screen.

Option
Meaning

To Add a button
Double click item on the list

To Remove a button
Click Delete Last button (if it's in middle you have to click multiple times to remove all).

.topic 0
Archive
Files compressed into a single file named Archive.
The Advantages of using archive to transfer files or store are :
Smaller result file - Because file are compressed.
Easier to Manage - Because all files are compressed into a single file.
More Secure - Some archive type support encryption to protect your data.

So most file over the internet are compressed into archive.

The most common archive type on the internet is Zip, even although the compression rate is sometimes lower than other format.

.topic 0


Quick Zip

Setting : General : Miscellaneous page.

Option | Meaning
Reuse Windows | Use same window when open archive (by d-click an archive on Explorer).
Startup Page | Page to show when Quick Zip Start up.
Default Page after archiveopened | Page to show after opened an archive.


Quick Zip

Setting : Interface : Skins and Fonts page.

Option | Meaning
Main font | Quick Zip will use this font as the default font.
Toolbar Bitmap | You can specify the main toolbar skin here.
Menu Toolbar Bitmap | You can specify the menu toolbar skin here.


Quick Zip

type TCMsgEvent = procedure(Sender: TObject; CErrCode, ErrCode: Integer; Msgtype: MessageType; Message: string) of object;
Description
CErrCode | Errcode from the archive component (or DLL)
ErrCode | Standardized Errcode.
Msgtype | Different types of message.(Msg_OK, Msg_Error, Msg_Warning, Msg_Unknown)
Message | Error Message


Quick Zip

Setting : Interface : Toolbar and File List page.
You can configure to show which Tool button on the main screen.

Option | Meaning
To Add a button | Double click item on the list
To Remove a button | Click Delete Last button (if it's in middle you have to click multiple times to remove all).


Quick Zip

Setting : General : Translation page.
A list of translation is available on this page.

Option | Meaning
Import Translation | Use same window when open archive (by d-click an archive on Explorer).